about summary refs log tree commit diff
path: root/tests/t0010-validate-html.sh
diff options
context:
space:
mode:
authorLukas Fleischer <cgit@cryptocrack.de>2013-04-09 20:02:32 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2013-04-10 14:49:31 +0200
commit016364d4edef261fb55257e36d8a47828d398f96 (patch)
treee5730d3da3dca74177398f3e7ba3f01911a32916 /tests/t0010-validate-html.sh
parentAdd branch-sort and repo.branch-sort options. (diff)
downloadcgit-pink-016364d4edef261fb55257e36d8a47828d398f96.tar.gz
cgit-pink-016364d4edef261fb55257e36d8a47828d398f96.zip
tests/: Do not use `sed -i`
"-i" isn't part of the POSIX standard and doesn't work on several
platforms such as OpenBSD. Use a temporary file instead.

Signed-off-by: Lukas Fleischer <cgit@cryptocrack.de>
Diffstat (limited to '')
-rwxr-xr-xtests/t0010-validate-html.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 5bd0a25..ca08d69 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -8,8 +8,8 @@ test_url()
 {
 	tidy_opt="-eq"
 	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
-	cgit_url "$1" >tidy-$test_count || return
-	sed -ie "1,4d" tidy-$test_count || return
+	cgit_url "$1" >tidy-$test_count.tmp || return
+	sed -e "1,4d" tidy-$test_count.tmp >tidy-$test_count || return
 	"$tidy" $tidy_opt tidy-$test_count
 	rc=$?
 
a href='/cgit-pink/commit/shared.c?h=1.4.0&id=d6f6072560c963065b13c704fa1fa6f8950e4bac&follow=1'>Add generic filter/plugin infrastructureLars Hjemli 2009-07-25Add support for mime type registration and lookupLars Hjemli 2009-07-25cgit.h: keep config flags sortedLars Hjemli 2009-07-25cgitrc.5.txt: document 'embedded' and 'noheader'Lars Hjemli 2009-07-25Add support for 'noheader' optionLars Hjemli 2009-07-25cgitrc.5.txt: document 'head-include'Lars Hjemli 2009-07-25ui-blob: return 'application/octet-stream' for binary blobsLars Hjemli 2009-07-25ui-plain: Return 'application/octet-stream' for binary files.Remko Tronçon 2009-06-11use cgit_httpscheme() for atom feedDiego Ongaro 2009-06-11add cgit_httpscheme() -> http:// or https://Diego Ongaro 2009-06-07Return http statuscode 404 on unknown branchLars Hjemli 2009-06-07Add head-include configuration option.Mark Lodato 2009-03-15CGIT 0.8.2.1Lars Hjemli 2009-03-15Fix doc-related glitches in Makefile and .gitignoreLars Hjemli 2009-03-15ui-snapshot: avoid segfault when no filename is specifiedLars Hjemli 2009-03-15fix segfault when displaying empty blobsEric Wong 2009-02-19Add support for HEAD requestsLars Hjemli 2009-02-19Add support for ETag in 'plain' viewLars Hjemli 2009-02-12ui-tree: escape ascii-text properly in hexdump viewLars Hjemli 2009-02-12Makefile: add doc-related targetsLars Hjemli